package public

import (
	"context"

	"source.gleipnir.technology/Gleipnir/nidus-sync/db"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/public/model"
	"source.gleipnir.technology/Gleipnir/nidus-sync/db/gen/nidus-sync/public/table"
	//"github.com/Gleipnir-Technology/jet/postgres"
)

func LeadInsert(ctx context.Context, txn db.Ex, m model.Lead) (model.Lead, error) {
	statement := table.Lead.INSERT(table.Lead.MutableColumns).
		MODEL(m).
		RETURNING(table.Lead.AllColumns)
	return db.ExecuteOne[model.Lead](ctx, statement)
}
